Attribute VB_Name = "LB_System"

Public Const MODE_ENTRY = -2
Public Const MODE_EXIT = -3
Public Const DEFAULT = -1
Public Const INTERNAL = -4

'--- Number Of Events

Public Const NumOfEvents = 1

'--- Begin Modes Declares

Public Const Module1_Root_M = 0
Public Const Module1_Off_M = 1
Public Const Module1_On_M = 2
Public Const Module1_Concurrent1_M = 3
Public Const Module1_Concurrent2_M = 4

'--- End Modes Declares

'--- Begin Events Declares

Public Const Power_Ev = 0

'--- End Events Declares

'--- Begin System Declares

Public Declare Function SetCurrentDirectory Lib "kernel32" Alias "SetCurrentDirectoryA" (ByVal lpPathName As String) As Long
Public Declare Sub StartMotor Lib "LBMotor" (ByVal func As Long, ByVal events_num As Long)
Public Declare Sub Fire_LB_Event Lib "LBMotor" (ByVal event_id As Long, ByVal arg As Long)
Public Declare Sub StopMotor Lib "LBMotor" ()
Public Declare Sub Send_Trace_Msg Lib "LBMotor" (ByVal mode_id As Long, ByVal action As Long)

'--- End System Declares

'--- Begin Callbacks

Public arr_of_func(4) As Long

Public Sub Prepare_Functions_Array()

 arr_of_func(0) = getFuncPtr(AddressOf Module1_Root_MF)
 arr_of_func(1) = getFuncPtr(AddressOf Module1_Off_MF)
 arr_of_func(2) = getFuncPtr(AddressOf Module1_On_MF)
 arr_of_func(3) = getFuncPtr(AddressOf Module1_Concurrent1_MF)
 arr_of_func(4) = getFuncPtr(AddressOf Module1_Concurrent2_MF)

End Sub

'--- End Callbacks

'--- Begin System Functions

Public Function get_mode_func(ByVal mode_id As Long) As Long
 get_mode_func = arr_of_func(mode_id)
End Function

Public Function getFuncPtr(fun As Long) As Long
 getFuncPtr = fun
End Function

'--- End System Functions

